Subject: bug#8706: 24.0.50; [PATCH] Function to build a URL query-string

From: Ted Zlatanov <[email-masked]>
Date: Thu, 26 May 2011 09:33:37 -0500

On Wed, 25 May 2011 21:02:56 -0300 Stefan Monnier <[email-masked]> wrote: 

>> 1. Two-element sequences should work as they do now.
>> 2. One-element sequences should get an empty string appended.
>> 3. Invalid sequences ignored.

SM> Actually, I think that instead of a (KEY VAL) list, the code should use
SM> a (KEY . VAL) cons cell.  And if you want to use VAL=nil as a convention
SM> to put just "key" rather than "key=VAL", that's fine.

Ian, let me know if I should implement that on top of the latest version
you posted.  Should be trivial.  I look forward to getting it into
Emacs :)

Thanks
Ted